org.apache.lucene.geo

## Class GeoEncodingUtils.DistancePredicate

- java.lang.Object
- - org.apache.lucene.geo.GeoEncodingUtils.DistancePredicate

Enclosing class:
  GeoEncodingUtils

    public static class GeoEncodingUtils.DistancePredicate
    extends Object

A predicate that checks whether a given point is within a distance of another point.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test(int lat, int lon)` Check whether the given point is within a distance of another point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### test

    public boolean test(int lat,
                        int lon)

Check whether the given point is within a distance of another point. NOTE: this operates directly on the encoded representation of points.